package com.wecloud.dispatch.extend.impl;

import com.wecloud.dispatch.extend.ArgumentBox;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

/**
 * @author lixiaozhong
 */
public class DefaultArgumentBox implements ArgumentBox {

	Map<Object, Object> map = new HashMap<>();

	@SuppressWarnings("unchecked")
	@Override
	public <T> T get(Object key) {
		return (T) map.get(key);
	}

	@Override
	public void put(Object key, Object object) {
		map.put(key, object);
	}

	@Override
	public Set<Object> keySet() {
		return map.keySet();
	}
}
